> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/web3-connections/list-all-open-web3-connections",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# List all open Web3 connections.

> Get open Web3 connections.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /connections
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /connections:
    get:
      tags:
        - Web3 connections
      summary: List all open Web3 connections.
      description: Get open Web3 connections.
      operationId: get
      parameters:
        - $ref: '#/components/parameters/X-End-User-Wallet-Id'
        - name: order
          required: false
          in: query
          description: List order; ascending or descending.
          schema:
            type: string
            enum:
              - ASC
              - DESC
            default: ASC
        - name: filter
          required: false
          in: query
          description: Parsed filter object
          examples:
            object:
              summary: The filter object
              description: ''
              value:
                id: string
                userId: string
                vaultAccountId: number
                connectionMethod: string
                feeLevel: string
                appUrl: string
                appName: string
            stringified:
              summary: The stringified parsed object
              description: >-
                About stringified parsed objects:


                * Each key-value pair is separated by '=', and each pair is
                separated by ',' (you can use
                [`qs`](https://www.npmjs.com/package/qs) package for this)
              value: >-
                id=string,userId=string,vaultAccountId=number,connectionMethod=string,feeLevel=string,appUrl=string,appName=string
          schema:
            type: object
            properties:
              id:
                type: string
              userId:
                type: string
              vaultAccountId:
                type: number
              connectionMethod:
                type: string
              feeLevel:
                type: string
              appUrl:
                type: string
              appName:
                type: string
        - name: sort
          required: false
          in: query
          description: Property to sort Web3 connections by.
          schema:
            type: string
            enum:
              - id
              - userId
              - vaultAccountId
              - createdAt
              - feeLevel
              - appUrl
              - appName
            default: createdAt
        - name: pageSize
          required: false
          in: query
          description: Amount of results to return in the next page.
          schema:
            type: number
            default: 10
            maximum: 50
        - name: next
          required: false
          in: query
          description: Cursor to the next page
          schema:
            type: string
      responses:
        '200':
          description: ''
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetConnectionsResponse'
        '400':
          description: Query parameters were invalid
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '500':
          description: Something went wrong
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<GetConnectionsResponse>>
            = fireblocks.web3Connections.get(web3ConnectionsApiGetRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<GetConnectionsResponse>> response =
            fireblocks.web3Connections().get(order, filter, sort, pageSize,
            next, xEndUserWalletId);
        - lang: Python
          source: >-
            response = fireblocks.web3_connections.get(order, filter, sort,
            page_size, next, x_end_user_wallet_id);
components:
  parameters:
    X-End-User-Wallet-Id:
      name: X-End-User-Wallet-Id
      in: header
      description: >-
        Unique ID of the End-User wallet to the API request. Required for
        end-user wallet operations.
      required: false
      schema:
        type: string
        format: uuid
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    GetConnectionsResponse:
      type: object
      properties:
        data:
          description: Array with the requested Web3 connection's data
          type: array
          items:
            $ref: '#/components/schemas/SessionDTO'
        paging:
          $ref: '#/components/schemas/Paging'
      required:
        - data
    SessionDTO:
      type: object
      properties:
        id:
          type: string
          description: Id of the connection
          example: 4e9e7051-f3b2-48e9-8ee6-b12492552657
        userId:
          type: string
          description: Id of the user that created the connection
        sessionMetadata:
          description: Metadata of the connection (provided by the dapp)
          allOf:
            - $ref: '#/components/schemas/SessionMetadata'
        vaultAccountId:
          type: number
          description: The vault to connect
          example: 1
        feeLevel:
          type: string
          description: The default fee level
          example: MEDIUM
          enum:
            - MEDIUM
            - HIGH
        chainIds:
          description: The chains approved for the connection
          example:
            - ETH
            - ETH_TEST
            - SOL
          type: array
          items:
            type: string
        connectionType:
          type: string
          description: The connection's type
          example: WalletConnect
          enum:
            - WalletConnect
        connectionMethod:
          type: string
          description: The method through which the connection was established
          example: API
          enum:
            - DESKTOP
            - MOBILE
            - API
        creationDate:
          format: date-time
          type: string
          description: Timestamp of the session's creation
      required:
        - id
        - userId
        - sessionMetadata
        - vaultAccountId
        - feeLevel
        - chainIds
        - connectionType
        - connectionMethod
        - creationDate
    Paging:
      type: object
      properties:
        next:
          type: string
          description: Cursor to the next page
      required:
        - next
    SessionMetadata:
      type: object
      properties:
        appUrl:
          type: string
        appName:
          type: string
        appDescription:
          type: string
        appIcon:
          type: string
      required:
        - appUrl

````